Personal tools
You are here: Home Forum How to use Salome? Building error: The procedure entry point could not be located in the dynamic link library GEOMSketcher.dll

Building error: The procedure entry point could not be located in the dynamic link library GEOMSketcher.dll

Up to How to use Salome?

Building error: The procedure entry point could not be located in the dynamic link library GEOMSketcher.dll

Posted by lambrtz at March 03. 2017

Hi, 

I am new to Salome platform, but have been using OpenCascade for a while. I am trying to split a TopoDS_Shape cube with a plane using GEOMAlgo_Splitter. My code is as follows.

BRepPrimAPI_MakeBox makeBox(gp_Pnt(0.0, 0.0, 0.0), 2.0, 2.0, 2.0);

// omitted code: make a plane as a face from vertices --> edges --> wire --> face 
TopoDS_Face f = BRepBuilderAPI_MakeFace(w);

GEOMAlgo_Splitter splitter;
splitter.AddArgument(makeBox.Shape());
splitter.AddTool(f);
splitter.Perform();

// omitted code: save as a STEP file

I am building it as a 64-bit executable using Visual Studio 2017 Community Edition on Windows 8.1, linking it with the prebuilt Salome package for Windows version 7.8.0. The OpenCascade version is 7.1.0. I encountered an error when linking to the DLL, as seen in the attached image. Do I miss a step here, or does it have something to do with platform/version incompatibility?

I also tried to build the Salome source code, but faced some difficulties too. Will probably ask another question once I can formulate it better.

Thank you.

 

Attachments

Re: Building error: The procedure entry point could not be located in the dynamic link library GEOMSketcher.dll

Posted by SMESH expert at March 03. 2017

Hello

Your problem is incompatibility of a new version of OCCT and an old version of SALOME. For SALOME-7.8.0 you should use OCCT-6.9.1.

Best regards

Edward

Re: Building error: The procedure entry point could not be located in the dynamic link library GEOMSketcher.dll

Posted by lambrtz at March 03. 2017

Hi Edward,

Thank you for pointing that out. I can use the prebuilt SDK and do the thing I wanted to do (slicing a cube).

Best regards,

Nicholas

Powered by Ploneboard
Document Actions